Gecode::Int::Linear::EqBoolInt< VX > Class Template Reference
Other available functionality » Integer propagators

Propagator for integer equal to Boolean sum (cardinality) More...

`#include <linear.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Create copy during cloning.
virtual void | reschedule (Space &home)
| Schedule function.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Give advice to propagator.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::Int::Linear::LinBoolInt< VX >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as high unary).
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, ViewArray< VX > &x, int c)
| Post propagator for .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| EqBoolInt (Space &home, EqBoolInt &p)
| Constructor for cloning p.
| EqBoolInt (Home home, ViewArray< VX > &x, int c)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Int::Linear::LinBoolInt< VX >
void | normalize (void)
| Normalize by removing unused views.
| LinBoolInt (Space &home, LinBoolInt &p)
| Constructor for cloning p.
| LinBoolInt (Home home, ViewArray< VX > &x, int n_s, int c)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Int::Linear::LinBoolInt< VX >
Council< Advisor > | co
| Council for managing single advisor.
ViewArray< VX > | x
| Boolean views.
int | n_as
| Number of active subscriptions.
int | n_hs
| Number of views that have or had subscriptions.
int | c
| Righthandside.

## Detailed Description

template<class VX>
class Gecode::Int::Linear::EqBoolInt< VX >

Propagator for integer equal to Boolean sum (cardinality)

Requires

#include <gecode/int/linear.hh>
linear.hh

Definition at line 819 of file linear.hh.

## Constructor & Destructor Documentation

## EqBoolInt() [1/2]

template<class VX>

Gecode::Int::Linear::EqBoolInt< VX >::EqBoolInt | ( | Space & | home,
|  | EqBoolInt< VX > & | p )

inline protected

Constructor for cloning p.

Definition at line 243 of file bool-int.hpp.

## EqBoolInt() [2/2]

template<class VX>

Gecode::Int::Linear::EqBoolInt< VX >::EqBoolInt | ( | Home | home,
|  | ViewArray< VX > & | x,
|  | int | c )

inline protected

Constructor for creation.

Definition at line 238 of file bool-int.hpp.

## Member Function Documentation

## copy()

template<class VX>

Actor * Gecode::Int::Linear::EqBoolInt< VX >::copy | ( | Space & | home | ) |

virtual

Create copy during cloning.

Implements Gecode::Actor.

Definition at line 248 of file bool-int.hpp.

## reschedule()

template<class VX>

void Gecode::Int::Linear::EqBoolInt< VX >::reschedule | ( | Space & | home | ) |

virtual

Schedule function.

Implements Gecode::Propagator.

Definition at line 289 of file bool-int.hpp.

## advise()

template<class VX>

ExecStatus Gecode::Int::Linear::EqBoolInt< VX >::advise | ( | Space & | home,
|  | Advisor & | a,
|  | const Delta & | d )

virtual

Give advice to propagator.

Reimplemented from Gecode::Propagator.

Definition at line 254 of file bool-int.hpp.

## propagate()

template<class VX>

ExecStatus Gecode::Int::Linear::EqBoolInt< VX >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 297 of file bool-int.hpp.

## post()

template<class VX>

ExecStatus Gecode::Int::Linear::EqBoolInt< VX >::post | ( | Home | home,
|  | ViewArray< VX > & | x,
|  | int | c )

static

Post propagator for .

Definition at line 321 of file bool-int.hpp.

The documentation for this class was generated from the following files:

- gecode/int/linear.hh
- gecode/int/linear/bool-int.hpp